Retrieve the status of a video embedding task
Note
This endpoint will be deprecated in a future version. Migrate to the Embed API v2 for continued support and access to new features.
This method retrieves the status of a video embedding task. Check the task status of a video embedding task to determine when you can retrieve the embedding.
A task can have one of the following statuses:
processing: The platform is creating the embeddings.ready: Processing is complete. Retrieve the embeddings by invoking theGETmethod of the/embed/tasks/{task_id} endpoint.failed: The task could not be completed, and the embeddings haven’t been created.
Authentication
x-api-keystring
Your API key.
Note
You can find your API key on the API Keys page.
Path parameters
task_id
The unique identifier of your video embedding task.
Response
The status of your video embedding task has been retrieved.
_id
The unique identifier of the video embedding task.
status
A string indicating the status of the video indexing task. It can take one of the following values: processing, ready or failed.
model_name
The name of the video understanding model the platform used to create the embedding.
video_embedding
An object containing the metadata associated with the embedding.
Errors
400
Bad Request Error